Bug 76395 - usb-storage module remembers geometry of removable device
usb-storage module remembers geometry of removable device
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-21 06:44 EDT by Jure Pecar
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 04:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jure Pecar 2002-10-21 06:44:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
We have a usb attached flash card reader for reading various flash cards from
digital cameras, varying in size from 64mb to 640mb. Inserting a card and
mounting it as /dev/sda1 works ok, unmounting and unplugging also ok, then if i
insert a card with a different geometry, mount complains about invalid partition
table and fdisk -l /dev/sda shows garbage. I haven't found a way around this
other than rmmod usb-storage.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.modprobe usb-storage
2.mount /dev/sda1 /mnt
3.some ls, cp, rm on /mnt
4. umount /mnt
5. remove flash card from reader
6. insert different flash card into reader
7. mount /dev/sda1 /mnt

Actual Results:  mount: wrong fs type, bad option, bad superblock on /dev/sda1,
       or too many mounted file systems

fdisk -l /dev/sda at this time shows partition of weird types, partitions with
incorrect boundries and similiar 'interesting' things.

Expected Results:  usb-storage should adapt the new geometry of the card and
read it properly.

Additional info:

When running this on redhat 7.0 with 2.4.2 or 2.4.5-ac13 kernels this worked ok.
Now on 7.3 with 2.4.18-10 this does not work anymore. There' was either some bug
introduced in the usb-storage or i'm doing something wrong. 

The only way to fix this problem is to rmmod and modprobe usb-storage, wich
requires root privileges and is not solvable by the user. So this is a major
support nightmare right now ...
Comment 1 Jure Pecar 2002-10-28 18:33:22 EST

i found this suggestion ... will try it out in the following days.
Comment 2 Michele Della Guardia 2003-09-21 17:00:10 EDT
I have the same problem on RedHat 8.0 with Kernel 2.4.20-20 and I found useful
rmmod usb-storage when I have to change the device.
Comment 3 Pete Zaitcev 2003-11-19 12:24:35 EST
I don't think it's the maxusage.

In case of Jure, 90% is that it was fixed.

For Michele, I need /proc/bus/usb/devices captured to see what kind
of device it is, it might need a workaround.
Comment 4 Pete Zaitcev 2004-08-20 04:57:10 EDT
No reply from Jure - closing.
A bug has to be filed again if FC1 or FC2 have this problem.

Note You need to log in before you can comment on or make changes to this bug.